Subject: Re: [PATCH 2/5] bootwrapper: Add CONFIG_DEVICE_TREE

From: Scott Wood <[email-masked]>
Date: Thu, 12 Apr 2007 11:17:21 -0500

Kumar Gala wrote:
> On Apr 12, 2007, at 10:36 AM, Scott Wood wrote:
> 
>> Paul Mackerras wrote:
>>
>>> Hmmm, I'm not sure that I want to be asked about  CONFIG_DEVICE_TREE on
>>> *all* powerpc platforms...  Surely this option should depend on
>>> something that says we're including support for a uBoot-able  platform?
>>
>>
>> That's how I originally had it, but I was asked to make it more  general.
>>   One non-uboot usage is Mark Greer's "Add Makefile rule to wrap dts
>> file in zImage" patch.
>>
>> What about a CONFIG_WANT_DEVICE_TREE that platforms can select if they
>> want to ask the user for a device tree?
> 
> Wouldn't we want this for all systems that don't have true OF?

Not if there's a non-OF firmware that doesn't need to go through the 
bootwrapper (such as modern u-boot).

-Scott